Metabase

Integrate your application with the Metabase API

🚀 Quickstart

Connect to Metabase with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Metabase.

Authorize Metabase

Go to Connections -> Add Test Connection -> Authorize, then enter your Metabase API key and hostname. Later, you'll let your users do the same directly from your app.

Call the Metabase API

Let's make your first request to the Metabase API. Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/api/database" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Metabase Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Metabase API docs

🧩 Pre-built syncs & actions for Metabase

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Users

Function nameDescriptionTypeSource code
usersFetches a list of users from Metabase, including active and inactive users.Sync🔗 Github

Others

Function nameDescriptionTypeSource code
create-userCreates a user in Metabase.Action🔗 Github
disable-userDisables a user in Metabase by id.Action🔗 Github
enable-userEnables a disabled user.Action🔗 Github
fetch-userFetches details of a specific user by ID.Action🔗 Github
update-userUpdates an existing, active user in Metabase.Action🔗 Github

On this page